/**Begin D:\PDM_UPGRADE\PDM1\HRCS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRCS_CROSSOT' AND KSQL_COL_NAME IN ('FISSYSPRESET')) 
 ALTER TABLE T_HRCS_CROSSOT ADD (FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRCS_ENTITYFORBID' AND KSQL_COL_NAME IN ('FISSYSPRESET')) 
 ALTER TABLE T_HRCS_ENTITYFORBID ADD (FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCS_OTENTITYCFG') 
 CREATE TABLE T_HRCS_OTENTITYCFG (
FID BIGINT DEFAULT 0 NOT NULL,
FOTCLASSID BIGINT DEFAULT 0 NOT NULL,
FENTITYTYPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRCS_table.sql **/
